<template>
  <div>
    <div class="overflow-hidden">
      <div class="pb-[100px]">
        <MGameListEntry />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import _ from "lodash";
import { defineComponent, ref, computed } from "vue";
import MGameListEntry from "./components/GameListEntry.client.vue";

export default defineComponent({
  name: "LiveCasino",
  components: {
    MGameListEntry,
  },
  setup() {
    const hasBanner = ref(false);
    const route = useRoute();
    const tabSelected = computed(() =>
      _.replace(
        _.replace(route.path.split("/")[1], "-", ""),
        "/",
        ""
      ).toLowerCase()
    );
    return {
      hasBanner,
      tabSelected,
    };
  },
});
</script>

<style scoped></style>
